APT, the Advanced Packaging Tool, is Debian's high-level package management system. It is also used by several other Linux-based and Debian-based operating systems.

learn more… | top users | synonyms (1)

2
votes
3answers
231 views

Use apt-get source on a debian repo without using /etc/apt/source.list

I'm trying to use apt-get source as a regular user on a debian squeeze system. I want to retrieve the sources for cyrus-imapd-2.4 from the testing/wheezy repository. apt-get source works without ...
2
votes
2answers
61 views

Differences between “apache”'s installations

Using Ubuntu 12.04, are there any differences between installing Apache httpd using sudo apt-get install apache2 (as the guide of Ubuntu says - https://help.ubuntu.com/12.04/serverguide/httpd.html ) ...
1
vote
1answer
718 views

Debian keyring error: “No keyring installed”

I have a Debian Squeeze EC2 AMI. On booting up an instance with it and trying to install packages with apt-get I get errors saying there is no keyring installed. Here is the error with apt-get update: ...
-2
votes
1answer
146 views

Confusing message getting php5 source [closed]

I got the following message on my Turnkey linux machine while trying to get the source code for my current version of PHP5: root@lamp:~# apt-get source php5 Reading package lists... Done Building ...
3
votes
1answer
338 views

Permission Mystery - apt-get and other system utilities have 000 permissions

I'm trying to track down this strange behavoir for years now. Always after installing software-updates the permissions of a lot of system-tools are broken as you can see below. I am reasonable ...
1
vote
2answers
941 views

Debian - “WARNING: untrusted versions of the following packages will be installed!”

When i try to install or update any packages I get: Untrusted packages could compromise your system's security. You should only proceed with the installation if you are certain that this is what you ...
1
vote
1answer
682 views

issues installing with apt-get on fresh install

Fresh server install of 12.04 ubuntu 64BIT. Any ideas as to why this is not working? root@ubuntu:~# sudo apt-get install kvm libvirt-bin Reading package lists... Done Building dependency tree Reading ...
1
vote
3answers
425 views

Upgrade to the latest php by aptitude

I'm install php5 by aptitude, but php release the new version and recommend we upgrade. But I unwant to compile the new version by myself. How to upgrade the php to the newest version by aptitude?
0
votes
1answer
514 views

apt-get update directly after boot results in many Ign and Hit, resulting in 'no installation candidate' errors

I'm experiencing a strange issue with a fabric script I'm using to bootstrap a server on EC2. I launch a stock Ubuntu 12.04 AMI (ami-3d4ff254), wait for it to start, then proceed with: with ...
4
votes
2answers
1k views

php5-gd shows in “php -i | grep -i gd” but not in phpinfo();

I am trying to enable GD in my installation of Apache2, PHP5 and MySQL on my Ubuntu server. I installed php5-gd with: apt-get install php5-gd And when I run php -i I get: gd GD Support => ...
1
vote
1answer
299 views

apt-get sub-process returned an error code (1)

I recently removed apache2 from my linode ubuntu server with: apt-get --purge remove apache2 Then tried to install it again (apt-get install apache2). But since then, I can't use apt-get anymore, I ...
0
votes
1answer
67 views

Install from backport with apt fail

So little question, I've got this: redis-server: Installed: 2:1.2.6-1 Candidate: 2:1.2.6-1 Version table: 2:2.4.15-1~bpo60+2 0 100 http://backports.debian.org/debian-backports/ ...
3
votes
1answer
222 views

nginx 1.2.3 installed but remains at 1.1.19

I've installed nginx 1.2.3 by adding a new ppa sudo add-apt-repository ppa:nginx/stable sudo apt-get update sudo apt-get install nginx However, nginx -v still gives me 1.1.19. What happened? ...
4
votes
2answers
463 views

How to version lock packages in Ubuntu? [duplicate]

On CentOS exists the yum versionlock option, where you can lock a package to a specific version, so it is never upgraded past that. I would like that puppet-server-2.7.19-1 puppet-2.7.19-1 stays ...
2
votes
2answers
2k views

Pull php5 from DotDeb and ignore others packages

I have Debian squeeze installed and this is my /etc/apt/sources.list file: # Debian packages for stable deb http://ftp.lug.ro/debian/ stable main contrib non-free # Security updates for stable deb ...
0
votes
1answer
700 views

Debian apt dependency mismatch (libc6)

Earlier, I tried to install package via apt-get (cython), but it failed with the Errors were encountered while processing: message, and since then, apt is refusing to install anything. apt-get check ...
2
votes
1answer
165 views

how to get the list of packages present in apt-get autoremove

I know I have some packages ready to be removed if I run apt-get autoremove, but I just want to know which they are, without removing them. How can I list what would be removed without removing them? ...
0
votes
1answer
176 views

How to download source, modify source, recompile and build .deb package?

I have to customize my Apache2 suExec module to ensure some special environment variables getting passed through suExec. How to download the source code form Debian package apache2-suexec, modify ...
5
votes
2answers
6k views

dpkg: warning: files list file for package 'x' missing

I get this warning for several packages every time I install any package or perform apt-get upgrade. Not sure what is causing it; it's a fresh Debian install on my OpenVZ server and I haven't changed ...
0
votes
2answers
64 views

How can I make aptitude show me the files that will be installed for a given package

On ubuntu I would like to know which files that will be installed when running sudo aptitude install ruby-rvm. So first I do sudo aptitude download ruby-rvm. Now I can do aptitude show ruby-rvm, but ...
-1
votes
1answer
1k views

Cannot remove RabbitMQ in Ubuntu 10.04

I want to uninstall RabbitMQ on Ubuntu 10.04, and issued the following command: sudo apt-get --purge autoremove rabbitmq-server which uninstalls all its dependencies such erlang libraries, but ...
3
votes
2answers
380 views

How to install package version that was removed from backports?

There is only one version of the libreoffice package in Debian Squeeze Backports: apt-cache madison libreoffice libreoffice | 1:3.5.4-7~bpo60+1 | http://backports.debian.org/debian-backports/ ...
1
vote
1answer
172 views

Package pinning in Debian lenny

I need your advice as I don't know if I hit a bug, or I am misunderstanding something. On a Debian Lenny, I am trying to prevent the installation of two particular packages, when they are requested ...
1
vote
1answer
714 views

Update sphinx from source after apt-get

I'm running the latest debian as OS. I installed Sphinx using apt-get install sphinxsearch However, I need to communicate with sphinx trough PHP. In order to do so I downloaded the latest Sphinx ...
2
votes
1answer
293 views

Apt pin and self hosted apt repo

We have our own apt/deb repository with a handful of packages where we want to control the version. Crucially this includes puppet, which can be sensitive to versions being different. I want our ...
1
vote
1answer
137 views

Overriding dpkg admindir from apt-get options (debian/ubuntu linux)

As part of an OS deployment, I need to maintain sets of debian packages independently of the host operating system. It's pretty straightforward to override the Apt settings for the cache and lists, ...
1
vote
2answers
362 views

Debian asks to autoremove a lot of packages

My Debian wants me to invoke apt-get autoremove There are a lot of packages was installed automatically: apache2.2-bin baobab binfmt-support bluez cheese cheese-common cli-common dasher ...
1
vote
1answer
266 views

How can I get APT to “ignore” a package?

I am running a VPS using Debian unstable with this kernel version: 2.6.32-274.7.1.el5.028stab095.1 I just upgraded my packages and for some odd reason APT wants me to install ...
11
votes
2answers
242 views

How to install two packages that write the same file

Sirs, a conundrum. I have two packages that each create /usr/bin/ffprobe. One of them is ffmpeg from the Deb Multimedia repository, while the other is ffmbc 0.7-rc5 built from source. The hand-rolled ...
2
votes
2answers
63 views

Update ubuntu server to the state of one week ago

I want to have the ubuntu updates on the production servers after they working one week on the staging servers. If I make apt-get update && apt-get upgrade on the production servers after a ...
2
votes
3answers
1k views

How to get a list of security updates on the command line in Debian/Ubuntu

In the GUI tool you can get a list packages with security updates. Can this be done on the command line in Debian or Ubuntu? Normally I might use "apt-get upgrade" which would show me what is being ...
0
votes
1answer
110 views

Suppress user input when installing ganglia on ubuntu

I'm writing a hadoop configuration script, but I'm running into trouble installing ganglia. The script needs to run all the way through without any human intervention. Unfortunately, but when it ...
-3
votes
1answer
282 views

mysql server restart failed

I want to recover my mysql root password so I have followed this tutorial and stopped the mysql server . when I am trying to start it its show a error message and won't start. I believe the error is ...
1
vote
3answers
754 views

apt-get not found on my VPS?

Today, I bought a Ubuntu 12.04 VPS from http://www.frontrangehosting.com, but when I access it via SSH, I can't use apt-get. [root@vps /]# apt-get install python-software-properties -bash: apt-get: ...
1
vote
1answer
338 views

Bug in PHP 5.3.10, how do I upgrade without apt?

I have a few Ubuntu boxes that run the newest version of PHP present in the Ubuntu package distributions (PHP 5.3.10). However, there is a bug in that PHP version that makes my application break. ...
1
vote
0answers
363 views

Server problems after upgrade [closed]

I have an Ubuntu 12.04 server at home. It was working fine utile yesterday when I did an apt-get upgrade. First problem : grub timeout is disabled. Bootup hangs on grub. Second problem : the ...
3
votes
2answers
149 views

Prevent a package from being uninstalled in Ubuntu

So, after an accidential fat finger with aptitude today, it wanted to uninstall mysql-server, this was on our database server. Since it was a pile of text, I just pressed Y, blindly trusting apt to ...
3
votes
1answer
179 views

Link all LXC node APT caches to the host machine's APT cache

I have a number of LXC containers (ubuntu template) which all have their own separate APT caches. /var/lib/lxc/*/rootfs/var/cache/apt/archives/ I would like to have these linked to the host ...
1
vote
0answers
97 views

why “apt-get update” can't be on demand? [closed]

Excuse me if my question is a bit dummy... But I always wonder why all package managers can't refresh their indexes on-demand. For example, when I do "apt-get install something", why it can't verify ...
0
votes
1answer
2k views

Fatal: module iscsi_trgt not found — trying to get my iscsi target to run on debian

Sorry about the formatting below... Linux Microknoppix 2.6.39.3 #21 SMP PREEMPT Sat Jul 23 09:48:39 CEST 2011 i686 GNU/Linux modprobe iscsi_trgt results in FATAL: Module iscsi_trgt not ...
4
votes
2answers
716 views

Chef recipe to install varnish 3.0 on ubuntu lucid?

Here's my problem. I want Varnish 3.0, but Lucid only has the 2.1 package available. So using Chef, I need to make an install recipe that adds the varnish-cache.org repository to the apt sources and ...
0
votes
1answer
1k views

How to install php5-fpm on debian?

I am trying to install php5-fpm on Debian 6.0.5 and after trying to install php5-fpm: E: couldn't find package php5-fpm Ok, so I tried to add non official repository: add-apt-repository ...
2
votes
2answers
2k views

How to update sources.list for Debian 4.0 Etch?

I am trying to update my /etc/apt/sources.list on my VPS. As I run apt-get update I get all kinds of 404s not found, for example: Failed to fetch ...
-3
votes
4answers
124 views

How do I install a package in Debian? [closed]

How do I install a package in Debian via SSH? In my case I'm looking to install OpenSSL, but the instructions could be for installing any other package as well. UPDATE: I did run into some issues ...
2
votes
1answer
499 views

Tunnel apt traffic from private network through public to the internet

I've got 4 Servers under the following config: Servers 1 and 3(Web Server, Mail server respectivelly): NIC1: Public Network, Connected to the Internet NIC2: Private Network, Communication between ...
0
votes
2answers
610 views

Xvfb on debian not installing properly from apt-get

I try to install xfvb for headless firefox and selenium tests, but after installing by: apt-get install xvfb I got only those files on server (search by xvfb): /usr/bin/xvfb-run /usr/share/doc/xvfb ...
1
vote
1answer
384 views

How to install puppet devel from apt.puppetlabs.com?

According to the README at apt.puppetlabs.com the repo is added by wget http://apt.puppetlabs.com/puppetlabs-release-precise.deb dpkg -i puppetlabs-release-precise.deb but I only see the stable 2.7 ...
0
votes
2answers
400 views

Ubuntu LTS repository package update policy

I recently realized that even though Ubuntu LTS is receiving 5 years of support, a lot of the packages in Ubuntu LTS package repository are not updated with the latest stable releases. For example, ...
0
votes
1answer
454 views

Dependency issue installing libpq-dev on Ubuntu 11.10

I'm trying to install libpq-dev (PostgreSQL library) on Ubuntu 11.10. When I run apt-get I get the following: The following packages have unmet dependencies. libpq-dev : Depends: libkrb5-dev but it ...
3
votes
2answers
1k views

Vagrant/VirtualBox can't resolve some domains from w/in VM

Just trying out VirtualBox & Vagrant and my initial lucid64 VM can't resolve us.archive.ubuntu.com but can resolve security.ubuntu.com, google.com and www.apple.com (but not apple.com w/out the ...